Name: op5-rrdtool-config
Summary: op5 configuration package for rrdtool
Group: Applications/Databases
Version: %{op5version}
Release: %{op5release}%{?dist}
URL: https://www.itrsgroup.com
Prefix: /opt/monitor
License: GPLv2
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: rrdtool >= 1.6.0, rrdtool-cached >= 1.6.0
Requires: op5-monitor-user
%systemd_requires

%description
This package configures the rrdtool for op5 monitor server.

%prep
%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
# Create dir for rrdcached specifc data and unix socket
%{__mkdir_p} $RPM_BUILD_ROOT%{prefix}/var/rrdtool/rrdcached
# Create place holder for new environment file
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/systemd/system/rrdcached.service.d
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/systemd/system/rrdcached.socket.d
%{__cp} rrdcached_service.conf $RPM_BUILD_ROOT%{_sysconfdir}/systemd/system/rrdcached.service.d
%{__cp} rrdcached_socket.conf $RPM_BUILD_ROOT%{_sysconfdir}/systemd/system/rrdcached.socket.d

%post
/sbin/ldconfig || :

%postun
%systemd_postun_with_restart rrdcached.service &> /dev/null || :
/sbin/ldconfig || :

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%attr(0755 monitor apache) %dir %{prefix}/var/rrdtool
%attr(0755 monitor apache) %dir %{prefix}/var/rrdtool/rrdcached
%attr(0755 root root) %dir %{_sysconfdir}/systemd/system/rrdcached.service.d
%attr(0775 root root) %dir %{_sysconfdir}/systemd/system/rrdcached.socket.d
%attr(644 root root) %{_sysconfdir}/systemd/system/rrdcached.service.d/rrdcached_service.conf
%attr(644 root root) %{_sysconfdir}/systemd/system/rrdcached.socket.d/rrdcached_socket.conf
